Bug 591601 (CVE-2010-1457, CVE-2010-1620) - CVE-2010-1457 CVE-2010-1620 gnustep-base: multiple vulnerabilities in gdomap
Summary: CVE-2010-1457 CVE-2010-1620 gnustep-base: multiple vulnerabilities in gdomap
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2010-1457, CVE-2010-1620
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100506,reported=20100507,sou...
Depends On: 591602
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 16:43 UTC by Vincent Danen
Modified: 2019-06-10 10:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:56:57 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-05-12 16:43:40 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1620 to
the following vulnerability:

Name: CVE-2010-1620
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1620
Assigned: 20100429
Reference: MLIST:[oss-security] 20100507 Re: CVE Assignment (gnustep)
Reference: URL: http://marc.info/?l=oss-security&m=127325778527537&w=2
Reference: MLIST:[oss-security] 20100507 Re: CVE Assignment (gnustep)
Reference: URL: http://marc.info/?l=oss-security&m=127324274005709&w=2
Reference: CONFIRM: http://ftpmain.gnustep.org/pub/gnustep/core/gnustep-base-1.20.0.tar.gz
Reference: CONFIRM: http://savannah.gnu.org/bugs/?29755
Reference: CONFIRM: http://thread.gmane.org/gmane.comp.lib.gnustep.bugs/12336
Reference: CONFIRM: https://bugs.launchpad.net/ubuntu/+source/gnustep-base/+bug/573108
Reference: SECUNIA:39746
Reference: URL: http://secunia.com/advisories/39746

Integer overflow in the load_iface function in Tools/gdomap.c in
gdomap in GNUstep Base before 1.20.0 might allow context-dependent
attackers to execute arbitrary code via a (1) file or (2) socket that
provides configuration data with many entries, leading to a heap-based
buffer overflow.


Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1457 to
the following vulnerability:

Name: CVE-2010-1457
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1457
Assigned: 20100415
Reference: MLIST:[oss-security] 20100507 CVE Assignment (gnustep)
Reference: URL: http://www.openwall.com/lists/oss-security/2010/05/07/6
Reference: CONFIRM: http://ftpmain.gnustep.org/pub/gnustep/core/gnustep-base-1.20.0.tar.gz
Reference: CONFIRM: http://savannah.gnu.org/bugs/?29755
Reference: CONFIRM: http://thread.gmane.org/gmane.comp.lib.gnustep.bugs/12336
Reference: CONFIRM: https://bugs.launchpad.net/ubuntu/+source/gnustep-base/+bug/573108
Reference: BID:40005
Reference: URL: http://www.securityfocus.com/bid/40005
Reference: SECUNIA:39746
Reference: URL: http://secunia.com/advisories/39746

Tools/gdomap.c in gdomap in GNUstep Base before 1.20.0 allows local
users to read arbitrary files via a (1) -c or (2) -a option, which
prints file contents in an error message.


Please note that CVE-2010-1457 is only exploitable if gdomap is installed suid root (it is not in Fedora).  The impact of CVE-2010-1620 may be minor as well since arbitrary code would be executed as the user calling it, however gdomap seems to be able to run as a daemon as well (although we do not provide an initscript of any sort it looks like), and due to the ports it wants to bind to (UDP or TCP 538), would imply being run as root.  So while there may be very little chance of there being a scenario where this might be exploited, upstream has corrected this in the 1.20.0 release and it would be worth updating to.

It looks like the fix for CVE-2010-1620 is here:

http://svn.gna.org/viewcvs/gnustep/libs/base/trunk/Tools/gdomap.c?rev=30302&r1=30294&r2=30302&diff_format=u

And for CVE-2010-1457:

http://svn.gna.org/viewcvs/gnustep/libs/base/trunk/Tools/gdomap.c?rev=30294&r1=30004&r2=30294&diff_format=u

Comment 1 Vincent Danen 2010-05-12 16:46:04 UTC
Created gnustep-base tracking bugs for this issue

Affects: fedora-all [bug 591602]

Comment 2 Fedora Update System 2010-05-13 16:41:47 UTC
gnustep-base-1.20.0-1xe.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnustep-base-1.20.0-1xe.fc13

Comment 3 Fedora Update System 2010-05-13 16:46:14 UTC
gnustep-base-1.20.0-1xe.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnustep-base-1.20.0-1xe.fc12

Comment 4 Fedora Update System 2010-05-13 16:47:57 UTC
gnustep-base-1.20.0-1xe.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnustep-base-1.20.0-1xe.fc11

Comment 5 Fedora Update System 2010-05-14 15:12:14 UTC
gnustep-base-1.18.0-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnustep-base-1.18.0-9.fc11

Comment 6 Fedora Update System 2010-05-14 15:12:39 UTC
gnustep-base-1.18.0-9.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnustep-base-1.18.0-9.fc12

Comment 7 Fedora Update System 2010-05-14 15:12:47 UTC
gnustep-base-1.18.0-9.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnustep-base-1.18.0-9.fc13

Comment 8 Fedora Update System 2010-05-20 18:41:12 UTC
gnustep-base-1.18.0-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-05-20 18:46:14 UTC
gnustep-base-1.18.0-9.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-05-20 18:48:46 UTC
gnustep-base-1.18.0-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Product Security DevOps Team 2019-06-10 10:56:57 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.